package zsshrpc_server

type ZSshRpcOperationRequest struct {
	ChannelContext *ZSshRpcChannelContext
	Method         ZSshRpcMethod
	URI            string
	JSON           string
}

type ZSshRpcOperationResponse struct {
	StatusCode   int
	ResponseJSON string
}

type ZSshRpcOperationHandler interface {
	HandleOperation(request ZSshRpcOperationRequest) ZSshRpcOperationResponse
}
